On 12/07/2014 10:05 AM, Ulrich Mueller wrote:
>>>>>> On Sun, 07 Dec 2014, Zac Medico wrote:
> 
>> Anyway, Brian's patch for xz support with debt2targz appears to be
>> compatible with other package managers as well as AIX, so that seems
>> like a good way to go.
> 
> I still think that ar should always be used on platforms where GNU
> binutils is installed. Currently unpack uses deb2targz when it finds
> the program, which is not a well defined behaviour.

Okay, I guess we can default to ar if [[ $(ar --version 2>&1) == "GNU
ar"* ]] and otherwise fall back to deb2targz.
-- 
Thanks,
Zac

Reply via email to